clear
clc
yjd
figure(2)
psdx=pwelch(x,[],[],1000,Fs);
psdzb=pwelch(zb,[],[],1000,Fs);
psdyfm=pwelch(yfm,[],[],1000,Fs);
psdypm=pwelch(ypm,[],[],1000,Fs);
subplot(4,1,1)
plot(psdx);
title('调制波功率谱');xlim([0,40])
subplot(4,1,2)
plot(psdzb);
title('载波功率谱');xlim([0,40])
subplot(4,1,3)
plot(psdyfm);
title('FM波功率谱');xlim([0,40])
subplot(4,1,4)
plot(psdypm);
title('PM波功率谱');xlim([0,40])